View Issue Details

IDProjectCategoryView StatusLast Update
0036601FPCCompilerpublic2020-01-20 22:47
ReporterCyrax Assigned ToSven Barth  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformLinux x86_64OSArch 
Product Version3.3.1 
Fixed in Version3.3.1 
Summary0036601: Can't build Lazarus trunk under i386-linux due to 'Fatal: (6047) Cannot find system type "__m64" ' error.
DescriptionFPC trunk i386-linux compiler succesfully built with FPC release 3.0.4 i386-linux compiler. However compiling Lazarus trunk with FPC trunk compiler fails.

See "Additional Information" field for full error message.
Additional Information
fpc -MObjFPC -Scghi -O1 -g -gl -l -vewnhibq -Fu. -FE. -FU../units/i386-linux -gw2 -godwarfsets -godwarfmethodclassprefix -gl -O- -Si- -vb -vh- -vn- -vw- -dDBG_WITH_DEBUGGER_DEBUG -Cit -gt -gv -Cg -di386 fcllaz.pas
Free Pascal Compiler version 3.3.1-r43976 [2020/01/19] for i386
Copyright (c) 1993-2019 by Florian Klaempfl and others
(1002) Target OS: Linux for i386
(3104) Compiling fcllaz.pas
/mnt/shares/ohjelmointi2/lazarus/i386/trunk/1.9.0/binary/trunk/packager/registration/fcllaz.pas(8,10) Fatal: (6047) Cannot find system type "__m64". Check if you use the correct run time library.
Fatal: (1018) Compilation aborted
Error: /mnt/shares/ohjelmointi2/fpc/i386/trunk/3.3.1/binary/trunk/bin/i386-linux/ppc386 returned an error exitcode
make[1]: *** [Makefile:2786: fcllaz.ppu] Error 1
make[1]: Leaving directory '/mnt/shares/ohjelmointi2/lazarus/i386/trunk/1.9.0/binary/trunk/packager/registration'
make: *** [Makefile:3253: registration] Error 2
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget-
Attached Files

Relationships

related to 0036593 closed compiler: svn rev 43949 broke building i386-win32 

Activities

Cyrax

2020-01-19 02:05

reporter   ~0120528

Related to bug report : https://bugs.freepascal.org/view.php?id=36593

Sven Barth

2020-01-19 10:16

manager   ~0120539

The SSE intrinsics have been disabled for now again. Please update to the latest version of FPC, rebuild it and make sure that you don't have any stale PPUs around (the PPU version hadn't changed).

Cyrax

2020-01-20 22:47

reporter   ~0120575

Okay, I did have wrong paths in the .cfg files which I did fix to correct ones. Compiling Lazarus trunk now works. Closing.

Issue History

Date Modified Username Field Change
2020-01-19 02:04 Cyrax New Issue
2020-01-19 02:05 Cyrax Note Added: 0120528
2020-01-19 03:37 J. Gareth Moreton Relationship added related to 0036593
2020-01-19 10:16 Sven Barth Assigned To => Sven Barth
2020-01-19 10:16 Sven Barth Status new => resolved
2020-01-19 10:16 Sven Barth Resolution open => no change required
2020-01-19 10:16 Sven Barth Fixed in Version => 3.3.1
2020-01-19 10:16 Sven Barth FPCTarget => -
2020-01-19 10:16 Sven Barth Note Added: 0120539
2020-01-20 22:47 Cyrax Status resolved => closed
2020-01-20 22:47 Cyrax Note Added: 0120575